<div class="sidebar" *ngIf="authservice.getCurrentUser() !== null">
  <div class="logo_content">
    <div class="logo" (click)="clicked()">
      <!-- <i class='bx bx-user-circle'></i> -->
      <!-- <div class="logo_name" >{{authservice.getCurrentUser().nom}} {{authservice.getCurrentUser().prenom}}</div> -->
      <img src="../assets/logoBee.png" />
    </div>
    <i class='bx bx-menu' id="btn" (click)="ToggleSidebar()" ></i>
  </div>
  <div class="profile_content">
    <div class="profile" *ngIf="authservice.getCurrentUser() !== null" [routerLink]="['/logout']">
      <i class='bx bx-log-out' id="log_out" ></i>
    </div>
  </div>
  <ul class="nav_list">
    <li *ngIf="role === 'admin'">
      <a [routerLink]="['/list-offres']">
        <i class='bx bx-gift' ></i>
        <span class="links_name">Offres</span>
      </a> 
      <span class="tooltip">Offres</span>
    </li>
    <li *ngIf="role === 'admin'">
      <a [routerLink]="['/list-users']">
        <i class='bx bx-user' ></i>
        <span class="links_name">Comptes</span>
      </a>
      <span class="tooltip">Comptes</span>
    </li>
    <li *ngIf="role === 'admin' || role === 'agent Backoffice'">
      <a [routerLink]="['/list-clients']">
        <i class='bx bxs-user-account' ></i>
        <span class="links_name">Clients</span>
      </a>
      <span class="tooltip">Clients</span>
    </li>
    <li *ngIf="role === 'admin'">
      <a [routerLink]="['/list-roles']">
        <i class='bx bx-purchase-tag' ></i>
        <span class="links_name">Roles</span>
      </a>
      <span class="tooltip">Roles</span>
    </li>
    <li *ngIf="role === 'admin'">
      <a [routerLink]="['/list-pdv']">
        <i class='bx bx-home-circle' ></i>
        <span class="links_name">Points de Vente</span>
      </a>
      <span class="tooltip">Points de Vente</span>
    </li>
    <li *ngIf="role === 'admin' || role === 'agent Backoffice'">
      <a [routerLink]="['/list-mdms']">
        <i class='bx bx-cart-alt' ></i>
        <span class="links_name">Modems</span>
      </a>
      <span class="tooltip">Modems</span>
    </li>
    <li *ngIf="role === 'admin' || role === 'agent Backoffice'">
      <a [routerLink]="['/list-demandes']">
        <i class='bx bx-heart' ></i>
        <span class="links_name">Demandes</span>
      </a>
      <span class="tooltip">Demandes</span>
    </li>
    <li *ngIf="role === 'admin' || role === 'agent Backoffice'">
      <a [routerLink]="['/list-abonnements']">
        <i class='bx bx-file' ></i>
        <span class="links_name">Abonnements</span>
      </a>
      <span class="tooltip">Abonnements</span>
    </li>
    <li  *ngIf="role === 'admin' || role === 'agent support technique N2'">
      <a [routerLink]="['/list-agents']">
        <i class='bx bxs-contact' ></i>
        <span class="links_name">Agents TT</span>
      </a>
      <span class="tooltip">Agents TT</span>
    </li>
    <li *ngIf="role === 'admin'">
      <a [routerLink]="['/list-regions']">
        <i class='bx bxs-directions'></i>
        <span class="links_name">Régions</span>
      </a>
      <span class="tooltip">Région</span>
    </li>
    <li *ngIf="role === 'admin' || role === 'agent Backoffice'">
      <a [routerLink]="['/repartition-demande']">
        <i class='bx bx-transfer'></i>
        <span class="links_name">Répartition Demandes</span>
      </a>
      <span class="tooltip">Répartition</span>
    </li>
  </ul>
  
</div>
<div class="home_content">
  <app-navbar></app-navbar>
  <router-outlet></router-outlet>
  <!--footer class="footer">
    <div class="container">
      <span>© 2020 Copyright: BeeClear.com</span>
    </div>
  </footer-->
</div>
